<template>
	<!--联合国际电子门票页面-->
	<view>
		<web-view :src="outUrl"></web-view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				outUrl:"",//跳出地址
				Brightness:"",//屏幕亮度
			}
		},
		onShow() {
			let _this=this
			uni.getScreenBrightness({
			success: function(res){
			// 这里是把获取到的手机屏幕亮度，存储到data里面，方便给到页面生命周期隐藏和卸载方法里面用
			   _this.Brightness = res.value;
			   if(res.value != 1){
				uni.setScreenBrightness({
			        value: 1
				});
			   }
			}
			})
		},
		onHide: function () {
			uni.setScreenBrightness({// 恢复之前屏幕亮度
				value: this.Brightness
			})
		},
		onLoad(option) {
			//#ifdef MP-WEIXIN
			this.enterUrl=option.q
			//#endif
			
			//#ifdef MP-ALIPAY
				this.enterUrl=uni.getStorageSync("alipayQrCode")
			//#endif
			
			if(this.enterUrl){//普通二维码扫码进入
				let pdOpenid=uni.getStorageSync("openid")//胖丁小程序openid,临时用，当公众号授权做好之后可以删除
				let pdToken=uni.getStorageSync("token")
				let pdCreateUserId=uni.getStorageSync("createUserId")
				let pdUserId=uni.getStorageSync("userId")
				let orderId=this.getUrlKey("orderId")//订单Id
				let ifNotice=this.getUrlKey("ifNotice")//是否已经扫码
				this.outUrl="https://wx.pangdly.com/#/intelDetail?orderId="+orderId+"&ifNotice="+ifNotice+"&pdOpenid="+pdOpenid+"&pdToken="+pdToken+"&pdCreateUserId="+pdCreateUserId+"&pdUserId="+pdUserId
			}
			
		},
		methods: {
			getUrlKey(name){//---获取url
			  return(new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(decodeURIComponent(this.enterUrl)) || [, ""])[1].replace(/\+/g, '%20') || "";
			},
		}
	}
</script>

<style>

</style>
